View Issue Details

IDProjectCategoryView StatusLast Update
0013986LazarusIDEpublic2009-10-23 00:40
ReporterKjow Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0013986: Menu Text disappear if win32 manifest is disabled
DescriptionIf I rebuild Lazarus, with this lazarus.pp modify:

From:

{$IFDEF WINDOWS}
  {$R lazarus.rc}
{$ENDIF}

To:

{$IFDEF WINDOWS}
  { $R lazarus.rc} //There is a space between { and $
{$ENDIF}

so to disable Win32 manifest, all menu text (File, etc...) disappear.

Re-enabling it, it will re-appear.
TagsNo tags attached.
Fixed in Revision20644
LazTarget0.9.28
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2009-06-17 03:47

manager   ~0028573

Please write next time OS on which you are testing (98/XP/Vista/7 ...).

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-06-16 13:03 Kjow New Issue
2009-06-16 13:03 Kjow Widgetset => Win32/Win64
2009-06-16 14:55 Vincent Snijders LazTarget => 0.9.28
2009-06-16 14:55 Vincent Snijders Assigned To => Paul Ishenin
2009-06-16 14:55 Vincent Snijders Status new => assigned
2009-06-16 14:55 Vincent Snijders Target Version => 0.9.28
2009-06-17 03:47 Paul Ishenin Fixed in Revision => 20644
2009-06-17 03:47 Paul Ishenin Status assigned => resolved
2009-06-17 03:47 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-06-17 03:47 Paul Ishenin Resolution open => fixed
2009-06-17 03:47 Paul Ishenin Note Added: 0028573
2009-10-23 00:40 Marc Weustink Status resolved => closed